Bug 534728 - (RHQ-1497) Add a new continuous build that runs just dbupgrade
Add a new continuous build that runs just dbupgrade
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Build System (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 17:13 EST by Charles Crouch
Modified: 2015-02-01 18:25 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 17:11:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2009-02-06 17:13:00 EST
Right now our builds run dbsetup only, so we don't test the dbupgade portion of any schema change.
We need a couple of builds (postgres and oracle) that only use dbupgrade to migrate their schemas, this would help us catching database issues sooner in the process.
Comment 1 Charles Crouch 2009-03-06 15:20:16 EST
Hit this again in the perf env, truncate BLAH works in postgres but oracle needs truncate table BLAH.
We should address this.
Comment 2 Charles Crouch 2009-09-01 10:52:31 EDT
Moving features/improvements to 1.4
Comment 3 Red Hat Bugzilla 2009-11-10 15:34:22 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1497
Comment 4 wes hayutin 2010-02-16 12:08:39 EST
mass add of key word FutureFeature to help track
Comment 5 Corey Welton 2010-08-18 11:28:33 EDT
jay, can we do this?
Comment 6 Jay Shaughnessy 2010-08-18 16:29:01 EDT
Better question for jsanda.

John, any update on this effort?
Comment 7 John Sanda 2010-08-18 16:38:12 EDT
We already have the dbupgrade job on hudson that runs against postgres. I think we just need to set up a similar job to run against oracle.

Note You need to log in before you can comment on or make changes to this bug.